Index: c/src/lib/libbsp/sh/simsh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision f3b2ac063bfdb6baeb04240ceb5fa7be35bce263)
+++ c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision 832d4bfdb0bdb25bd11dabb2c74c0d0e27b34ab6)
@@ -1,2 +1,7 @@
+2003-01-28	Joel Sherrill <joel@OARcorp.com>
+
+	* startup/Makefile.am, startup/linkcmds, startup/linkcmds-le,
+	startup/linkcmds-le.coff: Fix to work around truncated section names.
+
 2003-01-21	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/sh/simsh4/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/sh/simsh4/startup/Makefile.am	(revision f3b2ac063bfdb6baeb04240ceb5fa7be35bce263)
+++ c/src/lib/libbsp/sh/simsh4/startup/Makefile.am	(revision 832d4bfdb0bdb25bd11dabb2c74c0d0e27b34ab6)
@@ -21,10 +21,13 @@
 #
 
-bsplib_DATA = linkcmds
+bsplib_DATA = linkcmds linkcmds-le linkcmds-le.coff
 
-$(PROJECT_RELEASE)/lib/linkcmds: linkcmds linkcmds-le
+$(PROJECT_RELEASE)/lib/linkcmds: linkcmds
 	$(INSTALL_DATA) $< $@
 
 $(PROJECT_RELEASE)/lib/linkcmds-le: linkcmds-le
+	$(INSTALL_DATA) $< $@
+
+$(PROJECT_RELEASE)/lib/linkcmds-le.coff: linkcmds-le.coff
 	$(INSTALL_DATA) $< $@
 
@@ -33,5 +36,6 @@
 
 TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/linkcmds \
-                    $(PROJECT_RELEASE)/lib/linkcmds-le
+                    $(PROJECT_RELEASE)/lib/linkcmds-le \
+                    $(PROJECT_RELEASE)/lib/linkcmds-le.coff
 
 all-local: $(ARCH) $(TMPINSTALL_FILES) $(OBJS) $(PGM)
@@ -39,5 +43,6 @@
 .PRECIOUS: $(PGM)
 
-EXTRA_DIST = bspclean.c bspstart.c hw_init.c linkcmds linkcmds-le
+EXTRA_DIST = bspclean.c bspstart.c hw_init.c linkcmds linkcmds-le \
+    linkcmds-le.coff
 
 include $(top_srcdir)/../../../../../../automake/local.am
Index: c/src/lib/libbsp/sh/simsh4/startup/linkcmds
===================================================================
--- c/src/lib/libbsp/sh/simsh4/startup/linkcmds	(revision f3b2ac063bfdb6baeb04240ceb5fa7be35bce263)
+++ c/src/lib/libbsp/sh/simsh4/startup/linkcmds	(revision 832d4bfdb0bdb25bd11dabb2c74c0d0e27b34ab6)
@@ -87,8 +87,8 @@
      */
     . = ALIGN (16);
-    __start_set_sysctl_set = .;
-    *(set_sysctl_*);
-    __stop_set_sysctl_set = ABSOLUTE(.);
-    *(set_domain_*);
+    ___start_set_sysctl_set = .;
+    *(set_sysc*);   /* set_sysctl_* but name is truncated by SH-coff */
+    ___stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_doma*);   /* set_domain_* but name is truncated by SH-coff */
     *(set_pseudo_*);
 
@@ -108,5 +108,9 @@
   {
     *(.data)
-    *(.gcc_exc)
+    *(.gcc_exc*)
+    ___EH_FRAME_BEGIN__ = .;
+    *(.eh_fram*)
+    ___EH_FRAME_END__ = .;
+    LONG(0);
     *(.gcc_except_table)
     *(.gnu.linkonce.d*)
Index: c/src/lib/libbsp/sh/simsh4/startup/linkcmds-le
===================================================================
--- c/src/lib/libbsp/sh/simsh4/startup/linkcmds-le	(revision f3b2ac063bfdb6baeb04240ceb5fa7be35bce263)
+++ c/src/lib/libbsp/sh/simsh4/startup/linkcmds-le	(revision 832d4bfdb0bdb25bd11dabb2c74c0d0e27b34ab6)
@@ -109,8 +109,8 @@
      */
     . = ALIGN (16);
-    __start_set_sysctl_set = .;
-    *(set_sysctl_*);
-    __stop_set_sysctl_set = ABSOLUTE(.);
-    *(set_domain_*);
+    ___start_set_sysctl_set = .;
+    *(set_sysc*);   /* set_sysctl_* but name is truncated by SH-coff */
+    ___stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_doma*);   /* set_domain_* but name is truncated by SH-coff */
     *(set_pseudo_*);
 
@@ -134,10 +134,14 @@
     *(.data)
     *(.data.*)
+    *(.gcc_exc)
+    ___EH_FRAME_BEGIN__ = .;
+    *(.eh_fram*)
+    ___EH_FRAME_END__ = .;
+    LONG(0);
+    *(.gcc_except_table)
     *(.gnu.linkonce.d*)
     SORT(CONSTRUCTORS)
   } > ram
   .data1   : { *(.data1) } > ram
-  .eh_frame : { *(.eh_frame) } > ram
-  .gcc_except_table : { *(.gcc_except_table) } > ram
   .ctors   : 
   {
Index: c/src/lib/libbsp/sh/simsh4/startup/linkcmds-le.coff
===================================================================
--- c/src/lib/libbsp/sh/simsh4/startup/linkcmds-le.coff	(revision f3b2ac063bfdb6baeb04240ceb5fa7be35bce263)
+++ c/src/lib/libbsp/sh/simsh4/startup/linkcmds-le.coff	(revision 832d4bfdb0bdb25bd11dabb2c74c0d0e27b34ab6)
@@ -86,8 +86,8 @@
      */
     . = ALIGN (16);
-    __start_set_sysctl_set = .;
-    *(set_sysctl_*);
-    __stop_set_sysctl_set = ABSOLUTE(.);
-    *(set_domain_*);
+    ___start_set_sysctl_set = .;
+    *(set_sysc*);   /* set_sysctl_* but name is truncated by SH-coff */
+    ___stop_set_sysctl_set = ABSOLUTE(.);
+    *(set_doma*);   /* set_domain_* but name is truncated by SH-coff */
     *(set_pseudo_*);
 
@@ -107,4 +107,10 @@
   {
     *(.data)
+    *(.gcc_exc)
+    ___EH_FRAME_BEGIN__ = .;
+    *(.eh_fram*)
+    ___EH_FRAME_END__ = .;
+    LONG(0);
+    *(.gcc_except_table)
     *(.gnu.linkonce.d*)
     CONSTRUCTORS
